-- Init some colors
white = Color.new(255, 255, 255)
yellow = Color.new(255, 255, 0)
red = Color.new(255, 0, 0)

-- List a directory
pkg = System.listDirectory("ux0:pkgs")

-- Init a index
i = 1

-- Main loop
while true do
       System.powerTick()
	   --Prevent Vita From Sleeping
	-- Reset y axis for menu blending
	y = 25

	-- Write title on screen
	Graphics.initBlend()
	Screen.clear()
	Graphics.debugPrint(5, 5, "Select .pkgs - Press Square To Exit.", yellow)

	-- Write visible menu entries
	for j, file in pairs(pkg) do
		x = 5
		if i == j then
			color = red
			x = 10
		else
			color = white
		end
		Graphics.debugPrint(x, y, file.name, color)
		y = y + 20
	end
	Graphics.termBlend()

	-- Check for input
	pad = Controls.read()
	if Controls.check(pad, SCE_CTRL_CROSS) then
		Graphics.initBlend()
		Screen.clear()
		Graphics.termBlend()
		Screen.flip()
		Graphics.initBlend()
		Screen.clear()
		Graphics.termBlend()

	image = Graphics.loadImage("app0:/image.png")
	Graphics.initBlend()
	Screen.clear()
	Graphics.drawImage(0, 0, image)
	Graphics.termBlend()
	Screen.flip()
	System.extractZIP("ux0:pkgs/" .. pkg[i].name,"ux0:/bgdl/t")
	dofile("app0:rbconfirm.lua")

	elseif Controls.check(pad, SCE_CTRL_UP) and not Controls.check(oldpad, SCE_CTRL_UP) then
		i = i - 1
	elseif Controls.check(pad, SCE_CTRL_DOWN) and not Controls.check(oldpad, SCE_CTRL_DOWN) then
		i = i + 1
	end

	-- Check for out of bounds in menu
	if i > #pkg then
		i = 1
	elseif i < 1 then
		i = #pkg
	end

	-- Update oldpad and flip screen
	oldpad = pad
	Screen.flip()

		if Controls.check(Controls.read(), SCE_CTRL_SQUARE) then
		Network.termFTP()
		System.wait(200000)
		dofile("app0:index.lua")
	    end
end
